org.modeshape.jmx

## Class HistoricalData

- java.lang.Object
- - org.modeshape.jmx.HistoricalData

-     public class HistoricalData
      extends Object

  Value holder for the JXM-exposed information based on `History` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoricalData(String timeWindow, String start, String end, List<StatisticalData> statisticalData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEnd()`
    `String` | `getStart()`
    `List<StatisticalData>` | `getStatisticalData()`
    `String` | `getTimeWindow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoricalData

          @ConstructorProperties(value={"timeWindow","start","end","statisticalData"})
          public HistoricalData(String timeWindow,
                                                   String start,
                                                   String end,
                                                   List<StatisticalData> statisticalData)

      Parameters:
        `timeWindow` - the name of the time windows for which the data is produced.
        `start` - the ISO-8601 format of the start time
        `end` - the ISO-8601 format of the end time
        `statisticalData` - a list of `StatisticalData` for the interval

  - ### Method Detail

    - #### getTimeWindow

          public String getTimeWindow()

      Returns:
        the name of the time windows for which the data is produced.

    - #### getStart

          public String getStart()

      Returns:
        the ISO-8601 format of the start time

    - #### getEnd

          public String getEnd()

      Returns:
        the ISO-8601 format of the end time

    - #### getStatisticalData

          public List<StatisticalData> getStatisticalData()

      Returns:
        the list of `StatisticalData` which make up this data; never null but possibly empty.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.